Index: src/cpu/intel/Kconfig
===================================================================
--- src/cpu/intel/Kconfig	(revision 5938)
+++ src/cpu/intel/Kconfig	(working copy)
@@ -1,5 +1,6 @@
 # CPU models
 source src/cpu/intel/model_6xx/Kconfig
+source src/cpu/intel/model_67x/Kconfig
 source src/cpu/intel/model_68x/Kconfig
 source src/cpu/intel/model_69x/Kconfig
 source src/cpu/intel/model_6bx/Kconfig
Index: src/cpu/intel/model_67x/Kconfig
===================================================================
--- src/cpu/intel/model_67x/Kconfig	(revision 0)
+++ src/cpu/intel/model_67x/Kconfig	(revision 0)
@@ -0,0 +1,3 @@
+config CPU_INTEL_MODEL_67X
+	bool
+	select SMP
Index: src/cpu/intel/model_67x/microcode-530-MU16730e.h
===================================================================
--- src/cpu/intel/model_67x/microcode-530-MU16730e.h	(revision 0)
+++ src/cpu/intel/model_67x/microcode-530-MU16730e.h	(revision 0)
@@ -0,0 +1,163 @@
+//+++
+//      Copyright (c) <1995-2010>, Intel Corporation.
+//	All rights reserved.
+//
+//	Redistribution. Redistribution and use in binary form, without modification, are
+//	permitted provided that the following conditions are met:
+//		.Redistributions must reproduce the above copyright notice and the following
+//	disclaimer in the documentation and/or other materials provided with the
+//	distribution.
+//		.Neither the name of Intel Corporation nor the names of its suppliers may be used
+//	to endorse or promote products derived from this software without specific prior
+//	written permission.
+//		.No reverse engineering, decompilation, or disassembly of this software is
+//	permitted.
+//		."Binary form" includes any format commonly used for electronic conveyance
+//	which is a reversible, bit-exact translation of binary representation to ASCII or
+//	ISO text, for example, "uuencode."
+//
+//	DISCLAIMER. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT
+//	HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED
+//	WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+//	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+//	PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+//	OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+//	SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+//	NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+//	LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
+//	CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+//	STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+//	ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+//	ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+//
+//---
+/*  Tue Feb 9 12:54:50 CST 2010  */
+/*  530-mu16730e.inc  */
+0x00000001,	0x0000000e,	0x09101999,	0x00000673,
+0xf64116d1,	0x00000001,	0x00000001,	0x00000000,
+0x00000000,	0x00000000,	0x00000000,	0x00000000,
+0xd008ea9a,	0x90d1fc1b,	0x08e139ca,	0x3f54f83b,
+0x6985ceca,	0xa832ab46,	0x5f54c319,	0x2a2aad6a,
+0x82af41e6,	0xb946820b,	0x273d0f0b,	0x5f2b4860,
+0x22fb8bf0,	0x09d64919,	0xe5ef5108,	0xd5be0718,
+0xc20c175c,	0x90849d77,	0x9cb5ae2c,	0x7e8a04cc,
+0x3f83be6e,	0x27f7342a,	0x54a541ac,	0x48c251fe,
+0x4e7d2cbb,	0x7cb0e179,	0x3dac5cef,	0x2f17cff1,
+0x8b9b17fb,	0x8eaa9a4f,	0x1671f162,	0xf4057322,
+0xf1dc3423,	0x5f627c7b,	0xc7f41536,	0x0471b71f,
+0x2a2662ce,	0x7627fa85,	0x30092087,	0xd6e23bab,
+0x18135f41,	0xa5a5b59b,	0xcd9a0ae0,	0xed38fda2,
+0xa7344d65,	0x89e51ba1,	0x178878f5,	0x752e82e4,
+0xa7a46885,	0xc95e6a43,	0xe6a18eaf,	0x586db392,
+0x79eb538d,	0x7ab046a8,	0xd8878ada,	0x49863242,
+0x59563f59,	0xd3530ce5,	0x62001d03,	0xeab34c28,
+0xe44590d4,	0x3bad8f1a,	0x5e0c9e1a,	0xb9c67b05,
+0x4b28ac69,	0x75070de2,	0x2f2da3fe,	0xc91e536b,
+0xe66ecbfd,	0x8d482c4c,	0x5c6d055f,	0xb538d7b8,
+0x0b9fb684,	0x30491bec,	0x08f9324f,	0xef9591c5,
+0x96922bd1,	0xb43524cb,	0x5de2d5ee,	0xecff2573,
+0xc4a14e45,	0x762b7aea,	0xabff7517,	0x25513c1c,
+0xd41ff45c,	0x97cb1887,	0x1ffee480,	0x2cbccbfd,
+0x27691474,	0xf8f07595,	0x0c724a47,	0x85550ea5,
+0x4963f521,	0x1758187d,	0x829f6ea2,	0xf0db59fb,
+0x9ce0a900,	0x714a0191,	0xc2899de0,	0x8fde5bd6,
+0x05279f03,	0x04e7d5a0,	0x19bda9aa,	0x3b530e2e,
+0x65b312c8,	0x78063dfe,	0xd0092057,	0xe9a483d3,
+0xd5eb2248,	0xc6a17a9d,	0x2c2a8112,	0x37405433,
+0x43931206,	0x6961f1cb,	0x300b0904,	0x0ddc1480,
+0xc7e0da70,	0x9ecefed6,	0x076150f7,	0x20e0194c,
+0x408a2585,	0x63999df8,	0x072378e3,	0xc8e5b1c5,
+0x06f80c0c,	0xe539a928,	0x103df509,	0x005ceda1,
+0x55193245,	0x49fc8e90,	0xfaa5be5f,	0xec2cef0c,
+0x29b21e2a,	0x81cc923e,	0x21bc19cd,	0x1edfb15e,
+0xd3fe97c1,	0x907f6e4b,	0x40a2e3be,	0x8edf9a0b,
+0xd87da422,	0xa4d6a135,	0x860a49be,	0x9d1fb3fc,
+0xe0b05e9f,	0xfb6bc8b7,	0x2cdcb076,	0x70b1cb29,
+0x6057aafe,	0x3aed90c0,	0x7aa970bf,	0x9bedf020,
+0x1d141253,	0x5de04fa1,	0x6fe5e080,	0x5ee5f311,
+0xfbc3177b,	0xcce67a85,	0xb96578ce,	0xc907c8da,
+0x8a771092,	0xffc45b16,	0xcaee0517,	0x063d07a4,
+0x7d1cd75d,	0x23c993fe,	0x1780edee,	0x7eadf2e1,
+0x085bd3ae,	0xf6da6cec,	0x288cab1a,	0xc17d3e73,
+0x41d7a752,	0x0cd66538,	0xa03db177,	0xf7f832ca,
+0x670eab04,	0x3116aecd,	0x7f8f7f84,	0x87d034d5,
+0x04033827,	0xcb63dc4e,	0xbc599cb9,	0xecf6ea45,
+0x0f65ac32,	0xafa30136,	0x8133e580,	0xac6a49f8,
+0x1d9aa390,	0x78439835,	0xb6bfe265,	0x7c47f347,
+0x2393146d,	0x40216fb5,	0xd2aaa6b0,	0xbe1274aa,
+0xbff433fe,	0xeecc4826,	0x01e245b6,	0xf766dabe,
+0x22debab9,	0xde5d70b8,	0x7fe3041f,	0x8605c41a,
+0x1d6b1a13,	0xffd9efd6,	0x37df74bc,	0xbe7045e5,
+0x751e4b1f,	0xff7b6bec,	0x4bf15bbd,	0x9eb49f9a,
+0xb17acad0,	0x40811eb5,	0x10e148e0,	0x3b8a4981,
+0x97115eb0,	0x7c2c62b8,	0xfc8258da,	0xa761cee2,
+0x25faab65,	0xf4b26c2f,	0x071c2e0f,	0xec732edc,
+0x9877857b,	0x18419321,	0x609948cb,	0xf8729755,
+0x1afc2813,	0x6e255d8e,	0x78892422,	0x085d177c,
+0xbff60f4a,	0xbb1729f1,	0x3b08f81f,	0x02e8a9c7,
+0x838ba96f,	0x4f0239d3,	0xf295395e,	0xb3c38631,
+0x7ea7a143,	0x157a4e43,	0x46f8173f,	0xfbc18d4a,
+0xc401e17a,	0xc4620358,	0xd2ab5437,	0xa01db06f,
+0x58ce91fc,	0x850de1a3,	0x9b542dba,	0xee77f038,
+0xddd3ced6,	0xc225d2ce,	0x63a3f765,	0x3342a06c,
+0x6a780c2f,	0xfaa925b2,	0x366ebeec,	0xbcc9abea,
+0xc7b3fa4e,	0xf4f1123d,	0x5198702c,	0x3e3458b7,
+0x0b1ce9a1,	0x51b1bd7f,	0x711e791e,	0x927d8bed,
+0x91dbaea9,	0x7eefbda9,	0x7a19edd9,	0xdf7b8dce,
+0x5bb40613,	0x0b0c1e0f,	0x85b82c98,	0x18da4dc1,
+0xc5fd78ac,	0x57c1e31d,	0x4c4001b5,	0xe31d2643,
+0xa6afbf58,	0xad200e68,	0xf0114ba4,	0xd6a620f2,
+0xc753a720,	0xac9022a0,	0x28a41f01,	0x22a4ba95,
+0xc00b7531,	0x23d42795,	0xcd836a86,	0x90262708,
+0x3292cad0,	0x40022e39,	0xc1581b0a,	0xe5101550,
+0x6538096b,	0x208c549d,	0x3ce2bf88,	0xa71df38e,
+0x3dec3685,	0xca3949f1,	0x79f3ad1b,	0x3ee8b300,
+0x9d305fc6,	0x7a2e5288,	0xbe81a2f2,	0x7ada0c06,
+0x191c7f01,	0x58dfcbd1,	0xc78dee72,	0x72364226,
+0x1866de12,	0x8d22305c,	0x943a0f0e,	0xc81967ff,
+0x4d55fb0f,	0xaf199be1,	0x90bbda61,	0x4e7c234f,
+0x90cfec16,	0x9b4bcf26,	0x21622023,	0x0926f0fa,
+0x1d504377,	0xa58db427,	0x8d93ce2b,	0x90bfe900,
+0x29e67397,	0x2c1261ed,	0x4ace9474,	0xd5c60282,
+0xe53fb300,	0x8a61a0ab,	0xa7aa0918,	0x4389d7c5,
+0xd09d605c,	0x6c5bedb5,	0xd6d54c51,	0x433dea21,
+0x7ad9e677,	0x813bff76,	0x5a162c75,	0x1ee0661f,
+0x9b6c2030,	0x8e8dc989,	0xcd4bc9fc,	0x4454675b,
+0x8d583c9c,	0xe3400094,	0x116ebb83,	0xe847bc9a,
+0x2a4622dd,	0x2a901e6f,	0xd789b1c0,	0x094e2bbb,
+0x056e563f,	0x9f17e606,	0x8bc79b8d,	0xd2c535c1,
+0x06a45a27,	0x9dc56771,	0xa06649e2,	0x5ff25ac8,
+0x6554961e,	0x98e583d9,	0x38ba93da,	0xdee1de18,
+0x037cb9d5,	0x6b17f195,	0x3431faaf,	0x13860a0d,
+0x28bca10d,	0x0a54c011,	0x9957cdb6,	0x3aa1f429,
+0x9d41b7b3,	0x9aea5be2,	0x60c7ce6b,	0x4cd1c10b,
+0x24ddddcd,	0xe28412ba,	0xa03a5466,	0xa1896879,
+0x59edcb87,	0x1b241765,	0x157bf161,	0xf219f950,
+0xe86ff526,	0x262005d9,	0x11769531,	0xbca15d95,
+0x28f5ef17,	0x1f27e725,	0xc32631d2,	0x07249e61,
+0x1ba851e3,	0x4f49b577,	0xe2a1df5e,	0x826fa7ff,
+0xc34e1e2e,	0x7fe26024,	0xbc19800f,	0x0d368dc9,
+0xe03da0c6,	0xadaa4f9c,	0x9ad1e43c,	0x96f84e44,
+0x0b6cd695,	0x1bb46971,	0x942d6e5b,	0x6316170d,
+0x3164509f,	0xc6659450,	0xb2a0370a,	0xabc208e8,
+0x6d479811,	0x3684bc0e,	0x80b7b101,	0xa50b7bb5,
+0x43d21233,	0xb423559d,	0xf41dcd16,	0xdfd3c276,
+0x3e586469,	0xd9b7630a,	0xb88f9e44,	0x0cda6f4d,
+0xe5bf5844,	0x8709f788,	0xdae37da6,	0x1fb41777,
+0x1d903f69,	0x34383b69,	0xd409ae70,	0xd1c99758,
+0xdedfd7a4,	0xa4bdf018,	0xf4058202,	0x8565d66f,
+0x5365aed9,	0xfa69742e,	0x2cfbfbcf,	0x88a00b60,
+0x506c0713,	0x2866475b,	0x3e1df573,	0xb86f7feb,
+0x31d23a7f,	0xc6320e6a,	0x3ebbc2a5,	0x83a1d4ef,
+0x15169f5f,	0x42a61753,	0x893e553e,	0x4ddbc66d,
+0x7449ec1f,	0x76f65d22,	0x0622e13b,	0x32986f89,
+0x21181b4b,	0x99a80c0a,	0xd6fe00b0,	0x282c0e81,
+0x9fc1cf88,	0x919b855d,	0x618257d8,	0x82c448b8,
+0xe22537a1,	0xa90de388,	0xba73b90c,	0xd765eeb0,
+0x62b2727e,	0xa08dfe20,	0x70b3c8c5,	0x3ef04007,
+0x9f73732b,	0x2201edd7,	0xb836219c,	0xf913af7c,
+0xf50f64ca,	0x93ac107a,	0xf509f84a,	0x6f6026f6,
+0xd9bb8eac,	0x4b268cfa,	0xa65a3fa6,	0x9837cb75,
+0x784fb835,	0x2060576d,	0xb1604cae,	0xb9da4116,
+0xab320cf2,	0x60a1b501,	0x0c73fa79,	0x8d5a6f1e,
+0x57688086,	0x218e4005,	0xca054e3d,	0xc1a3c3ec,
Index: src/cpu/intel/model_67x/Makefile.inc
===================================================================
--- src/cpu/intel/model_67x/Makefile.inc	(revision 0)
+++ src/cpu/intel/model_67x/Makefile.inc	(revision 0)
@@ -0,0 +1,23 @@
+##
+## This file is part of the coreboot project.
+##
+## Copyright (C) 2010 Keith Hui <buurin@gmail.com>
+##
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+##
+
+driver-y += model_67x_init.c
+subdirs-y += ../../x86/name
+
Index: src/cpu/intel/model_67x/model_67x_init.c
===================================================================
--- src/cpu/intel/model_67x/model_67x_init.c	(revision 0)
+++ src/cpu/intel/model_67x/model_67x_init.c	(revision 0)
@@ -0,0 +1,85 @@
+/*
+ * This file is part of the coreboot project.
+ *
+ * Copyright (C) 2007-2009 coresystems GmbH
+ * Copyright (C) 2010 Keith Hui <buurin@gmail.com>
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License as
+ * published by the Free Software Foundation; version 2 of
+ * the License.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
+ * MA 02110-1301 USA
+ */
+
+#include <console/console.h>
+#include <string.h>
+#include <cpu/cpu.h>
+#include <cpu/x86/mtrr.h>
+#include <cpu/x86/lapic.h>
+#include <cpu/intel/microcode.h>
+#include <cpu/x86/cache.h>
+#include <cpu/x86/msr.h>
+
+static const uint32_t microcode_updates[] = {
+	/* Include microcode updates here. */
+	#include "microcode-293-MU267114.h"
+	#include "microcode-530-MU16730e.h"
+	#include "microcode-531-MU26732e.h"
+	#include "microcode-539-MU167210.h"
+	#include "microcode-540-MU267238.h"
+	/*  Dummy terminator  */
+        0x0, 0x0, 0x0, 0x0,
+        0x0, 0x0, 0x0, 0x0,
+        0x0, 0x0, 0x0, 0x0,
+        0x0, 0x0, 0x0, 0x0,
+};
+
+static void model_67x_init(device_t cpu)
+{
+	/* Update the microcode */
+	intel_update_microcode(microcode_updates);
+
+	/* Turn on caching if we haven't already */
+	x86_enable_cache();
+
+	/* Setup MTRRs */
+	x86_setup_mtrrs(36);
+	x86_mtrr_check();
+
+	/* Enable the local cpu apics */
+	setup_lapic();
+}
+
+static struct device_operations cpu_dev_ops = {
+	.init     = model_67x_init,
+};
+
+/*
+ * Intel Pentium III Processor Identification and Package Information
+ * http://www.intel.com/design/pentiumiii/qit/update.pdf
+ *
+ * Intel Pentium III Processor Specification Update
+ * http://download.intel.com/design/intarch/specupdt/24445358.pdf
+ */
+static struct cpu_device_id cpu_table[] = {
+	{ X86_VENDOR_INTEL, 0x0671 },
+	{ X86_VENDOR_INTEL, 0x0672 }, /* PIII, kB0 */
+	{ X86_VENDOR_INTEL, 0x0673 }, /* PIII, kC0 */
+
+	{ 0, 0 },
+};
+
+static const struct cpu_driver driver __cpu_driver = {
+	.ops      = &cpu_dev_ops,
+	.id_table = cpu_table,
+};
+
Index: src/cpu/intel/model_67x/microcode-531-MU26732e.h
===================================================================
--- src/cpu/intel/model_67x/microcode-531-MU26732e.h	(revision 0)
+++ src/cpu/intel/model_67x/microcode-531-MU26732e.h	(revision 0)
@@ -0,0 +1,163 @@
+//+++
+//      Copyright (c) <1995-2010>, Intel Corporation.
+//	All rights reserved.
+//
+//	Redistribution. Redistribution and use in binary form, without modification, are
+//	permitted provided that the following conditions are met:
+//		.Redistributions must reproduce the above copyright notice and the following
+//	disclaimer in the documentation and/or other materials provided with the
+//	distribution.
+//		.Neither the name of Intel Corporation nor the names of its suppliers may be used
+//	to endorse or promote products derived from this software without specific prior
+//	written permission.
+//		.No reverse engineering, decompilation, or disassembly of this software is
+//	permitted.
+//		."Binary form" includes any format commonly used for electronic conveyance
+//	which is a reversible, bit-exact translation of binary representation to ASCII or
+//	ISO text, for example, "uuencode."
+//
+//	DISCLAIMER. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT
+//	HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED
+//	WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+//	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+//	PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+//	OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+//	SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+//	NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+//	LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
+//	CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+//	STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+//	ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+//	ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+//
+//---
+/*  Tue Feb 9 12:54:50 CST 2010  */
+/*  531-mu26732e.inc  */
+0x00000001,	0x0000002e,	0x09101999,	0x00000673,
+0xa5945abf,	0x00000001,	0x00000004,	0x00000000,
+0x00000000,	0x00000000,	0x00000000,	0x00000000,
+0x608ab600,	0x7653aba3,	0x90cf06df,	0x2cb405de,
+0xe4c59cfb,	0xe6c669e7,	0x3aa728ba,	0x83d3111f,
+0x892fc321,	0x2566fbdb,	0x8c37ee68,	0xbfbe902e,
+0x58c979b3,	0xe18b8acb,	0x8d0d319d,	0x4b0ed465,
+0xf4f644f7,	0x847da89c,	0x587df5fd,	0xa3aed418,
+0xb8b811cb,	0x0330bc99,	0xe8167486,	0xa00d6d3a,
+0x77bfa90d,	0xbaa76e96,	0xf9098d1c,	0x3320799a,
+0xcf8409f1,	0xe176caa8,	0x4f0319a8,	0xb4952500,
+0x967781c1,	0x63834cab,	0xc6e650d3,	0xed9dd97c,
+0x3007ef9a,	0xa4fe2c6e,	0xf45fe99e,	0x6b3e6506,
+0xf2cdd2f3,	0xb59c79c9,	0x14c6ed40,	0xa5148f5d,
+0xf5fde82e,	0x3bcfe380,	0xd4530539,	0xf29c478b,
+0x0783cd9f,	0x804ce845,	0xb9f62a6c,	0x2ae018f8,
+0xd7c42c7d,	0xe2106e84,	0x0954ef6e,	0xbdf3275f,
+0x96d8f3a3,	0x127c0bfc,	0x9b459637,	0xae1c6dbc,
+0x52986367,	0x8ce39f67,	0x9460054a,	0x012da826,
+0xe6a663f5,	0x9b7d890e,	0x7954aa8e,	0xc92ef63b,
+0xbfe64a51,	0x7ad32697,	0xa42480dc,	0xd904d833,
+0x7e8fc827,	0xeab91ad0,	0x869b7a18,	0x496c1157,
+0xd07db5d6,	0xc4befd10,	0x692303f2,	0xb7219baf,
+0xaf54123f,	0x7def51a2,	0xb284536c,	0xd67c0f8f,
+0x02b5ed18,	0xbccb127d,	0x92139fc2,	0x1e70a3fb,
+0x84fde186,	0xe3e678e4,	0x3f04793d,	0xefbfd6e5,
+0xce8eb13f,	0x60c77646,	0x966d3b7b,	0xc3e7a620,
+0x4447e93c,	0x8f604fc1,	0x91c17b22,	0x7f232650,
+0xb5efc2da,	0xb2280f8d,	0x519fcedc,	0xaec0722a,
+0xf0d35d60,	0x63c82715,	0x9cfaacb5,	0xf57e3bd3,
+0x4a7ea75d,	0xc228bac7,	0xa1e89e6c,	0x58c8a391,
+0xdaee8c6e,	0xabc21b13,	0x341e7a59,	0x9ad9d0b9,
+0x85d4e8fb,	0x25d0c528,	0xeb4a572a,	0xf95a39ac,
+0x3a409cf8,	0xde9db56f,	0x9782b8d2,	0x664b82cc,
+0xf070e3ad,	0xa4231202,	0x01c2423a,	0x9855d0bf,
+0xc2af813a,	0x4cc77c96,	0xd5d25658,	0x960a18ae,
+0x59ead120,	0xb07bb96a,	0x8a95ab68,	0x3026dafa,
+0xc4ba3959,	0x92ab62c2,	0x75b4328c,	0x9fb9fbbe,
+0x8baf8268,	0x6d18e002,	0x87fe6aa8,	0x8bbaa231,
+0x09c2001d,	0x80e8353c,	0x821a39a8,	0x08b46ff9,
+0xd6caf0ae,	0xa59e0122,	0x6493d7fc,	0xa5121d9c,
+0x9906b736,	0x361c9427,	0xb9fdc3f8,	0xad0575be,
+0x08b6f080,	0xc46399a9,	0x85013609,	0x066ecc06,
+0x878870a9,	0xc2d8b6cd,	0x529b03c3,	0xaaa98ba2,
+0xfd7d4381,	0x0651145b,	0xb3a5ef25,	0xfb2d55b5,
+0x29f7c000,	0xc6cf8717,	0x32ea5099,	0xaab306df,
+0x3657ef2c,	0x20a16efa,	0x51ac482a,	0xd6a62e1d,
+0x47742893,	0xb3b3e105,	0xbfdfc488,	0x015f4adf,
+0xbf6842aa,	0xed18f4df,	0x3c4ccaa2,	0x4923ec46,
+0xa77a5258,	0xea143daf,	0x6c2915cc,	0x87c99911,
+0xb54207f5,	0x676a7ae4,	0xf54539db,	0xba8530d9,
+0x4a92a4d0,	0xa16b254c,	0xfde1b3c5,	0x0f39e80a,
+0x8f091bc5,	0x9c3256ca,	0x32b2e9c1,	0x3e6f0d8f,
+0xc747f7e3,	0x97425a47,	0x53155de3,	0xda67575c,
+0xd918d8e1,	0x54a36761,	0xe3dd3bcb,	0x6c50eb67,
+0x6083a5f8,	0x6f23b175,	0x175539b8,	0xd1033c16,
+0x4b1cb096,	0x5e251620,	0xc9982976,	0xa5f08673,
+0x6d5cb971,	0x7c7dca0b,	0x952f1155,	0xdc82a0e3,
+0x06cd25cd,	0x3a46effd,	0x0fc83360,	0x88713e82,
+0x9ecaae82,	0x9363878d,	0xd1ab7241,	0x8444f2f6,
+0xdc440056,	0xb4ad62c5,	0x9f5f5897,	0xf1f3a779,
+0xbae6be03,	0x3086cd06,	0x9d828a06,	0x4b45af5f,
+0x838ba96f,	0x4f0239d3,	0xf295395e,	0xb3c38631,
+0x7ea7a143,	0x157a4e43,	0x46f8173f,	0xfbc18d4a,
+0xc401e17a,	0xc4620358,	0xd2ab5437,	0xa01db06f,
+0x58ce91fc,	0x850de1a3,	0x9b542dba,	0xee77f038,
+0xddd3ced6,	0xc225d2ce,	0x63a3f765,	0x3342a06c,
+0x6a780c2f,	0xfaa925b2,	0x366ebeec,	0xbcc9abea,
+0xc7b3fa4e,	0xf4f1123d,	0x5198702c,	0x3e3458b7,
+0x0b1ce9a1,	0x51b1bd7f,	0x711e791e,	0x927d8bed,
+0x91dbaea9,	0x7eefbda9,	0x7a19edd9,	0xdf7b8dce,
+0x5bb40613,	0x0b0c1e0f,	0x85b82c98,	0x18da4dc1,
+0xc5fd78ac,	0x57c1e31d,	0x4c4001b5,	0xe31d2643,
+0xa6afbf58,	0xad200e68,	0xf0114ba4,	0xd6a620f2,
+0xc753a720,	0xac9022a0,	0x28a41f01,	0x22a4ba95,
+0xc00b7531,	0x23d42795,	0xcd836a86,	0x90262708,
+0x3292cad0,	0x40022e39,	0xc1581b0a,	0xe5101550,
+0x6538096b,	0x208c549d,	0x3ce2bf88,	0xa71df38e,
+0x3dec3685,	0xca3949f1,	0x79f3ad1b,	0x3ee8b300,
+0x9d305fc6,	0x7a2e5288,	0xbe81a2f2,	0x7ada0c06,
+0x191c7f01,	0x58dfcbd1,	0xc78dee72,	0x72364226,
+0x1866de12,	0x8d22305c,	0x943a0f0e,	0xc81967ff,
+0x4d55fb0f,	0xaf199be1,	0x90bbda61,	0x4e7c234f,
+0x90cfec16,	0x9b4bcf26,	0x21622023,	0x0926f0fa,
+0x1d504377,	0xa58db427,	0x8d93ce2b,	0x90bfe900,
+0x29e67397,	0x2c1261ed,	0x4ace9474,	0xd5c60282,
+0xe53fb300,	0x8a61a0ab,	0xa7aa0918,	0x4389d7c5,
+0xd09d605c,	0x6c5bedb5,	0xd6d54c51,	0x433dea21,
+0x7ad9e677,	0x813bff76,	0x5a162c75,	0x1ee0661f,
+0x9b6c2030,	0x8e8dc989,	0xcd4bc9fc,	0x4454675b,
+0x8d583c9c,	0xe3400094,	0x116ebb83,	0xe847bc9a,
+0x2a4622dd,	0x2a901e6f,	0xd789b1c0,	0x094e2bbb,
+0x056e563f,	0x9f17e606,	0x8bc79b8d,	0xd2c535c1,
+0x06a45a27,	0x9dc56771,	0xa06649e2,	0x5ff25ac8,
+0x6554961e,	0x98e583d9,	0x38ba93da,	0xdee1de18,
+0x037cb9d5,	0x6b17f195,	0x3431faaf,	0x13860a0d,
+0x28bca10d,	0x0a54c011,	0x9957cdb6,	0x3aa1f429,
+0x9d41b7b3,	0x9aea5be2,	0x60c7ce6b,	0x4cd1c10b,
+0x24ddddcd,	0xe28412ba,	0xa03a5466,	0xa1896879,
+0x59edcb87,	0x1b241765,	0x157bf161,	0xf219f950,
+0xe86ff526,	0x262005d9,	0x11769531,	0xbca15d95,
+0x28f5ef17,	0x1f27e725,	0xc32631d2,	0x07249e61,
+0x1ba851e3,	0x4f49b577,	0xe2a1df5e,	0x826fa7ff,
+0xc34e1e2e,	0x7fe26024,	0xbc19800f,	0x0d368dc9,
+0xe03da0c6,	0xadaa4f9c,	0x9ad1e43c,	0x96f84e44,
+0x0b6cd695,	0x1bb46971,	0x942d6e5b,	0x6316170d,
+0x3164509f,	0xc6659450,	0xb2a0370a,	0xabc208e8,
+0x6d479811,	0x3684bc0e,	0x80b7b101,	0xa50b7bb5,
+0x43d21233,	0xb423559d,	0xf41dcd16,	0xdfd3c276,
+0x3e586469,	0xd9b7630a,	0xb88f9e44,	0x0cda6f4d,
+0xe5bf5844,	0x8709f788,	0xdae37da6,	0x1fb41777,
+0x1d903f69,	0x34383b69,	0xd409ae70,	0xd1c99758,
+0xdedfd7a4,	0xa4bdf018,	0xf4058202,	0x8565d66f,
+0x5365aed9,	0xfa69742e,	0x2cfbfbcf,	0x88a00b60,
+0x506c0713,	0x2866475b,	0x3e1df573,	0xb86f7feb,
+0x31d23a7f,	0xc6320e6a,	0x3ebbc2a5,	0x83a1d4ef,
+0x15169f5f,	0x42a61753,	0x893e553e,	0x4ddbc66d,
+0x7449ec1f,	0x76f65d22,	0x0622e13b,	0x32986f89,
+0x21181b4b,	0x99a80c0a,	0xd6fe00b0,	0x282c0e81,
+0x9fc1cf88,	0x919b855d,	0x618257d8,	0x82c448b8,
+0xe22537a1,	0xa90de388,	0xba73b90c,	0xd765eeb0,
+0x62b2727e,	0xa08dfe20,	0x70b3c8c5,	0x3ef04007,
+0x9f73732b,	0x2201edd7,	0xb836219c,	0xf913af7c,
+0xf50f64ca,	0x93ac107a,	0xf509f84a,	0x6f6026f6,
+0xd9bb8eac,	0x4b268cfa,	0xa65a3fa6,	0x9837cb75,
+0x784fb835,	0x2060576d,	0xb1604cae,	0xb9da4116,
+0xab320cf2,	0x60a1b501,	0x0c73fa79,	0x8d5a6f1e,
+0x57688086,	0x218e4005,	0xca054e3d,	0xc1a3c3ec,
Index: src/cpu/intel/model_67x/microcode-539-MU167210.h
===================================================================
--- src/cpu/intel/model_67x/microcode-539-MU167210.h	(revision 0)
+++ src/cpu/intel/model_67x/microcode-539-MU167210.h	(revision 0)
@@ -0,0 +1,163 @@
+//+++
+//      Copyright (c) <1995-2010>, Intel Corporation.
+//	All rights reserved.
+//
+//	Redistribution. Redistribution and use in binary form, without modification, are
+//	permitted provided that the following conditions are met:
+//		.Redistributions must reproduce the above copyright notice and the following
+//	disclaimer in the documentation and/or other materials provided with the
+//	distribution.
+//		.Neither the name of Intel Corporation nor the names of its suppliers may be used
+//	to endorse or promote products derived from this software without specific prior
+//	written permission.
+//		.No reverse engineering, decompilation, or disassembly of this software is
+//	permitted.
+//		."Binary form" includes any format commonly used for electronic conveyance
+//	which is a reversible, bit-exact translation of binary representation to ASCII or
+//	ISO text, for example, "uuencode."
+//
+//	DISCLAIMER. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT
+//	HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED
+//	WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+//	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+//	PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+//	OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+//	SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+//	NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+//	LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
+//	CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+//	STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+//	ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+//	ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+//
+//---
+/*  Tue Feb 9 12:54:50 CST 2010  */
+/*  539-mu167210.inc  */
+0x00000001,	0x00000010,	0x09221999,	0x00000672,
+0x0fc53099,	0x00000001,	0x00000001,	0x00000000,
+0x00000000,	0x00000000,	0x00000000,	0x00000000,
+0x5880aae8,	0xfaf512a7,	0x94957b73,	0xde532d8d,
+0x63486cc5,	0x03c40bc2,	0xfc37b015,	0xa2bb44db,
+0x4cee0355,	0x0caf4096,	0x6a27b5f2,	0xa35d5645,
+0xd215451c,	0xc44bbcfd,	0x3af5a7ab,	0xdc73f7a9,
+0x6c7fd419,	0x730ed02f,	0x0a17f0ac,	0x0ff2cb01,
+0x3568e8f9,	0xb66ffb52,	0x5a491384,	0x951e8f0d,
+0xbdef7d13,	0x05bf66c7,	0x2eebe2ed,	0x8b3e282d,
+0x6d4d2a7e,	0xa90e5a1a,	0x8da2cf30,	0x27a1e9c1,
+0x4c213e6e,	0xe706acdd,	0x107f29d4,	0x8dab4326,
+0x0c25a3c6,	0x6614b954,	0xd2da266b,	0x2492aec5,
+0x23b67a43,	0x1ad8ec74,	0xc626d333,	0xa84fc0af,
+0x1fe014b1,	0x7c571487,	0x0bd8f4fd,	0xb40b50f4,
+0x96024e3a,	0xb7fb756d,	0x7b178f2e,	0x63f2f5eb,
+0x6c4f0df0,	0x4082d795,	0xddc4c133,	0xdd61b9a0,
+0x3b771dd0,	0x2ccb5aa9,	0x0ab1540d,	0x27277645,
+0xf669cdca,	0x96dc652c,	0xe9b40689,	0x1c6977d7,
+0x3668f5e0,	0x44c48a36,	0x5f86dcc4,	0xdd930f89,
+0xf518d808,	0xf3bcc771,	0x3b146ab2,	0x6ab0215a,
+0x7f8376df,	0x919dd4e5,	0x72af3e92,	0xcd238191,
+0x9de0ba0d,	0xc7d99731,	0x3ffdb94a,	0x70a4c322,
+0x3263d10b,	0xc9ab0976,	0x42674ccd,	0x291c4988,
+0x178e5728,	0x325854d7,	0x1266fed3,	0x68cfa797,
+0xb042263c,	0x83fbf8a2,	0xa1e42d77,	0x06f01879,
+0xd4ba01b1,	0x43e18410,	0xad7c57c2,	0x929c65d9,
+0xb52b0c58,	0x7bfbdfc0,	0x200e489d,	0xa805d3f3,
+0x41c7d2a8,	0x8c7e1072,	0x5ad805c1,	0xf337886f,
+0x256a5f75,	0x4292408c,	0x62b1aeea,	0xe0155a3e,
+0xe9356b4f,	0x92b8123a,	0x69d788f6,	0x147c9899,
+0x94ade173,	0xf1639fb9,	0xd27a0263,	0x55c7b9fd,
+0xfbf3d168,	0x8b493de9,	0x5b3e6b02,	0xeb7e1730,
+0x9a0e99c7,	0x9bb77bbf,	0x44b82682,	0xbea818e3,
+0x0aac061a,	0xdfde0f65,	0x1219fe0c,	0x08db086e,
+0x984f8dba,	0x64d669a2,	0xcb4a6056,	0xc335ec63,
+0x003db584,	0xa2e85d9a,	0x62b5109c,	0x8979f26d,
+0x25f87439,	0xda7b4ff9,	0x9b41ceef,	0xb166f52d,
+0x3e12f451,	0xe6bc67aa,	0x105e378a,	0x56aa2225,
+0x04ee1756,	0x0bf598ec,	0xfd0d75f4,	0xcc87d91d,
+0xf3ab70be,	0x5719b2a6,	0x9c1212a7,	0x5bcfd4a7,
+0xba07238f,	0x1e4571f4,	0x9e872e9c,	0x74ab36da,
+0xc00d1a89,	0x2190f089,	0x12ee646d,	0x2895d335,
+0xc3f4c779,	0x0294df2b,	0x6fe754f8,	0xcee161c7,
+0x971aa78a,	0x8d067af4,	0x77626aa5,	0xb97bd5f0,
+0x71f09e7f,	0x69cd562c,	0xa0893f41,	0x507b7309,
+0x3cd26b46,	0x36ce6092,	0x0ae56616,	0x962c4698,
+0x0aad0d3d,	0x1b7bfd33,	0x5e3712bb,	0xc66987e7,
+0x42428867,	0x614a8b9d,	0xb1d127cb,	0xe5a965c9,
+0x56a5a213,	0x240790c8,	0x745c0950,	0x897da696,
+0xf65d24bd,	0x2617eea5,	0xd2349c52,	0x39b4fdd7,
+0x5dfdfe3f,	0x0c3e4c1a,	0x10db9fc0,	0xf81bbcba,
+0x4b5b0e28,	0x767511bd,	0x2b15bb50,	0x0349ec8a,
+0x63481733,	0xbb899174,	0xd1065e6a,	0xbfa14024,
+0xfaa727db,	0x0021f11b,	0x0a24c0c1,	0x9b55db09,
+0x15ba31c5,	0xa972be16,	0x515e3cda,	0xd3d33e51,
+0x5d372c14,	0xdd9160e4,	0x7c877e1b,	0x796cdcba,
+0xf6faf1bd,	0x77048424,	0xb4ecd723,	0xb672c546,
+0xfc152a26,	0x76423bce,	0x8a7a30fc,	0x005b181a,
+0x79fc967a,	0x253e1b6c,	0xa947e4c2,	0x1d21ce72,
+0x4e1dab59,	0x938eb0f8,	0xb4b0b387,	0x5fb04592,
+0x2ee4a528,	0xe2d10729,	0x2f4c5f42,	0x873563ee,
+0x838ba96f,	0x4f0239d3,	0xf295395e,	0xb3c38631,
+0x7ea7a143,	0x157a4e43,	0x46f8173f,	0xfbc18d4a,
+0xc401e17a,	0xc4620358,	0xd2ab5437,	0xa01db06f,
+0x58ce91fc,	0x850de1a3,	0x9b542dba,	0xee77f038,
+0xddd3ced6,	0xc225d2ce,	0x63a3f765,	0x3342a06c,
+0x6a780c2f,	0xfaa925b2,	0x366ebeec,	0xbcc9abea,
+0xc7b3fa4e,	0xf4f1123d,	0x5198702c,	0x3e3458b7,
+0x0b1ce9a1,	0x51b1bd7f,	0x711e791e,	0x927d8bed,
+0x91dbaea9,	0x7eefbda9,	0x7a19edd9,	0xdf7b8dce,
+0x5bb40613,	0x0b0c1e0f,	0x85b82c98,	0x18da4dc1,
+0xc5fd78ac,	0x57c1e31d,	0x4c4001b5,	0xe31d2643,
+0xa6afbf58,	0xad200e68,	0xf0114ba4,	0xd6a620f2,
+0xc753a720,	0xac9022a0,	0x28a41f01,	0x22a4ba95,
+0xc00b7531,	0x23d42795,	0xcd836a86,	0x90262708,
+0x3292cad0,	0x40022e39,	0xc1581b0a,	0xe5101550,
+0x6538096b,	0x208c549d,	0x3ce2bf88,	0xa71df38e,
+0x3dec3685,	0xca3949f1,	0x79f3ad1b,	0x3ee8b300,
+0x9d305fc6,	0x7a2e5288,	0xbe81a2f2,	0x7ada0c06,
+0x191c7f01,	0x58dfcbd1,	0xc78dee72,	0x72364226,
+0x1866de12,	0x8d22305c,	0x943a0f0e,	0xc81967ff,
+0x4d55fb0f,	0xaf199be1,	0x90bbda61,	0x4e7c234f,
+0x90cfec16,	0x9b4bcf26,	0x21622023,	0x0926f0fa,
+0x1d504377,	0xa58db427,	0x8d93ce2b,	0x90bfe900,
+0x29e67397,	0x2c1261ed,	0x4ace9474,	0xd5c60282,
+0xe53fb300,	0x8a61a0ab,	0xa7aa0918,	0x4389d7c5,
+0xd09d605c,	0x6c5bedb5,	0xd6d54c51,	0x433dea21,
+0x7ad9e677,	0x813bff76,	0x5a162c75,	0x1ee0661f,
+0x9b6c2030,	0x8e8dc989,	0xcd4bc9fc,	0x4454675b,
+0x8d583c9c,	0xe3400094,	0x116ebb83,	0xe847bc9a,
+0x2a4622dd,	0x2a901e6f,	0xd789b1c0,	0x094e2bbb,
+0x056e563f,	0x9f17e606,	0x8bc79b8d,	0xd2c535c1,
+0x06a45a27,	0x9dc56771,	0xa06649e2,	0x5ff25ac8,
+0x6554961e,	0x98e583d9,	0x38ba93da,	0xdee1de18,
+0x037cb9d5,	0x6b17f195,	0x3431faaf,	0x13860a0d,
+0x28bca10d,	0x0a54c011,	0x9957cdb6,	0x3aa1f429,
+0x9d41b7b3,	0x9aea5be2,	0x60c7ce6b,	0x4cd1c10b,
+0x24ddddcd,	0xe28412ba,	0xa03a5466,	0xa1896879,
+0x59edcb87,	0x1b241765,	0x157bf161,	0xf219f950,
+0xe86ff526,	0x262005d9,	0x11769531,	0xbca15d95,
+0x28f5ef17,	0x1f27e725,	0xc32631d2,	0x07249e61,
+0x1ba851e3,	0x4f49b577,	0xe2a1df5e,	0x826fa7ff,
+0xc34e1e2e,	0x7fe26024,	0xbc19800f,	0x0d368dc9,
+0xe03da0c6,	0xadaa4f9c,	0x9ad1e43c,	0x96f84e44,
+0x0b6cd695,	0x1bb46971,	0x942d6e5b,	0x6316170d,
+0x3164509f,	0xc6659450,	0xb2a0370a,	0xabc208e8,
+0x6d479811,	0x3684bc0e,	0x80b7b101,	0xa50b7bb5,
+0x43d21233,	0xb423559d,	0xf41dcd16,	0xdfd3c276,
+0x3e586469,	0xd9b7630a,	0xb88f9e44,	0x0cda6f4d,
+0xe5bf5844,	0x8709f788,	0xdae37da6,	0x1fb41777,
+0x1d903f69,	0x34383b69,	0xd409ae70,	0xd1c99758,
+0xdedfd7a4,	0xa4bdf018,	0xf4058202,	0x8565d66f,
+0x5365aed9,	0xfa69742e,	0x2cfbfbcf,	0x88a00b60,
+0x506c0713,	0x2866475b,	0x3e1df573,	0xb86f7feb,
+0x31d23a7f,	0xc6320e6a,	0x3ebbc2a5,	0x83a1d4ef,
+0x15169f5f,	0x42a61753,	0x893e553e,	0x4ddbc66d,
+0x7449ec1f,	0x76f65d22,	0x0622e13b,	0x32986f89,
+0x21181b4b,	0x99a80c0a,	0xd6fe00b0,	0x282c0e81,
+0x9fc1cf88,	0x919b855d,	0x618257d8,	0x82c448b8,
+0xe22537a1,	0xa90de388,	0xba73b90c,	0xd765eeb0,
+0x62b2727e,	0xa08dfe20,	0x70b3c8c5,	0x3ef04007,
+0x9f73732b,	0x2201edd7,	0xb836219c,	0xf913af7c,
+0xf50f64ca,	0x93ac107a,	0xf509f84a,	0x6f6026f6,
+0xd9bb8eac,	0x4b268cfa,	0xa65a3fa6,	0x9837cb75,
+0x784fb835,	0x2060576d,	0xb1604cae,	0xb9da4116,
+0xab320cf2,	0x60a1b501,	0x0c73fa79,	0x8d5a6f1e,
+0x57688086,	0x218e4005,	0xca054e3d,	0xc1a3c3ec,
Index: src/cpu/intel/model_67x/microcode-293-MU267114.h
===================================================================
--- src/cpu/intel/model_67x/microcode-293-MU267114.h	(revision 0)
+++ src/cpu/intel/model_67x/microcode-293-MU267114.h	(revision 0)
@@ -0,0 +1,163 @@
+//+++
+//      Copyright (c) <1995-2010>, Intel Corporation.
+//	All rights reserved.
+//
+//	Redistribution. Redistribution and use in binary form, without modification, are
+//	permitted provided that the following conditions are met:
+//		.Redistributions must reproduce the above copyright notice and the following
+//	disclaimer in the documentation and/or other materials provided with the
+//	distribution.
+//		.Neither the name of Intel Corporation nor the names of its suppliers may be used
+//	to endorse or promote products derived from this software without specific prior
+//	written permission.
+//		.No reverse engineering, decompilation, or disassembly of this software is
+//	permitted.
+//		."Binary form" includes any format commonly used for electronic conveyance
+//	which is a reversible, bit-exact translation of binary representation to ASCII or
+//	ISO text, for example, "uuencode."
+//
+//	DISCLAIMER. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT
+//	HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED
+//	WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+//	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+//	PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+//	OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+//	SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+//	NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+//	LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
+//	CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+//	STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+//	ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+//	ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+//
+//---
+/*  Tue Feb 9 12:54:50 CST 2010  */
+/*  293-mu267114.inc  */
+0x00000001,	0x00000014,	0x08111998,	0x00000671,
+0x83239dd8,	0x00000001,	0x00000004,	0x00000000,
+0x00000000,	0x00000000,	0x00000000,	0x00000000,
+0x2900aa36,	0xedef91d1,	0x980381b8,	0x990ac1a8,
+0xce6aee27,	0xcd579679,	0x93340485,	0xb4ffaf67,
+0x2a528bc7,	0x5cf526ec,	0x0ffd39bb,	0x6536a335,
+0x3996f969,	0x2976103e,	0x2bf45e9c,	0x19cce6b8,
+0xc3a599da,	0x41442e0c,	0x7d60efcf,	0xa0dd1e48,
+0xf20be1a8,	0xe92fe8ed,	0x69246640,	0xce2b3120,
+0xc5fd9aba,	0xa07b4f2e,	0xfc5ec6a8,	0xdfd7ec00,
+0x1af0b9cb,	0xf84deed3,	0x6efad68e,	0xd26c28f4,
+0x588c4713,	0x77b51ea7,	0x9ec83e5d,	0xeb5b880f,
+0xdf8da780,	0x1f1db6ba,	0x3b8b3bd6,	0x1ae4191e,
+0xb84402e0,	0x518bcdec,	0x6df4b892,	0xf447c3ab,
+0x7f5f3bab,	0x57d668c6,	0xdfe3a8e5,	0x87ebe853,
+0x53a3e449,	0x232a99d3,	0x1a5ee33c,	0xf4308ee4,
+0x508b652e,	0xf78b7ae8,	0xbd0616ef,	0xccbd906a,
+0x8cb04b06,	0xdcc54a0b,	0x97a6c4aa,	0x8b56ae1e,
+0x2c81c68c,	0x2a8599d9,	0x88e05548,	0x9ee7e04e,
+0x1df430f0,	0x44bbfa5b,	0x79b20b93,	0x417ca0e5,
+0x8a9d9bad,	0x8d799fe2,	0x8ae5b99f,	0x08d2a3c7,
+0x8fefbe33,	0x54201513,	0xcd50fdff,	0xfd26a22b,
+0xc5be2281,	0x998e58d4,	0x179dbb49,	0x2d6b85c3,
+0xa7c9c271,	0x865499d5,	0x69fe40b2,	0xe83a9703,
+0x99298f1e,	0x4f52cca5,	0x26220fc3,	0x67bcd523,
+0xd3077015,	0xaf86439f,	0x78bba2a0,	0x7e1cc676,
+0x713fec96,	0xc8869986,	0xf15f758b,	0x2b2b58e1,
+0x5b033918,	0x79713b3e,	0x4a08b144,	0x6b10e909,
+0x22401dc7,	0x23087386,	0xc3359150,	0x0a6cde95,
+0x91bd0c91,	0x99281e5a,	0x7bef0550,	0xc8f9e407,
+0xbb6b33d7,	0x6cd518f0,	0x6ef572b9,	0x5a0fbd51,
+0x7425def6,	0x0e50b4e7,	0x3623bb19,	0xfef635a6,
+0x7539c632,	0xc86d176c,	0x80c7b5c5,	0xf5a0b5cd,
+0x879cd278,	0xe26e9de4,	0xa1c6a90f,	0x65b30004,
+0x678c63bc,	0xaab85112,	0x2a9851b3,	0xce3cbdf6,
+0xa30dc116,	0x24bf66f0,	0xcd5d3611,	0x69cfebd6,
+0x0bf03477,	0xa524f5aa,	0x474e152b,	0x93f5470c,
+0xaf8332af,	0xa7162064,	0x8a1ef4a1,	0xf6c7da39,
+0xae7e26c2,	0xb60fc22a,	0x099215de,	0x6431836f,
+0xbced163e,	0x0957b3e0,	0xeaff67c5,	0x1d15d645,
+0x531fe014,	0x47e298e3,	0x4d0a7808,	0xcb9e8bf3,
+0xb0abe54f,	0x1a96651c,	0xd7b0df79,	0x79af1c18,
+0x41aa459a,	0x70628bc8,	0xb200c92b,	0x0ffd7c37,
+0xc16fa374,	0xdc479e08,	0x1181eacd,	0xdf795d60,
+0x78834704,	0xd55485da,	0xdfd68db3,	0xadcb7932,
+0x321eaf32,	0xf5447236,	0x498a525c,	0xc4e3e529,
+0xe3218446,	0x27187ac8,	0xf31ef297,	0x2d2fdd03,
+0x8286cc34,	0x3ec06e63,	0xe7ad6bcd,	0x1f64f92e,
+0x280b07f2,	0x8794d8a0,	0x6f8ad638,	0x7910e4ee,
+0x278340f6,	0xe55b228b,	0xb8dfab78,	0xdb28214b,
+0x12f22905,	0xb8fcb70c,	0xce0065a4,	0x0e0c733b,
+0xfcc20c16,	0xf2be1d02,	0x336a9467,	0xa07f5612,
+0x43b9ca1d,	0x7c6fcdac,	0x810e98b4,	0x5ca423a0,
+0x140596f6,	0xb711c0a6,	0x17b47ee7,	0x0b93143c,
+0xd04b336a,	0x8b84be4c,	0xa3e77a17,	0xb0181d8e,
+0x96d865c6,	0x41ea13b4,	0xe784b15c,	0xf807b39a,
+0xd591fb1a,	0x4700dd5c,	0xbbc1e580,	0x43ac39e8,
+0xadb3d257,	0x3157de34,	0xde366d0e,	0x9ad4248f,
+0x95986f90,	0x9c6515e6,	0x854cb90b,	0xaa416bcf,
+0x988d01aa,	0x08619fdb,	0xc428f67c,	0x440a6559,
+0x3483d569,	0xbd561d15,	0x0bdac2e4,	0x110e1a21,
+0x62bd921f,	0x7cc406e0,	0x038353b8,	0x50c165fa,
+0x838ba96f,	0x4f0239d3,	0xf295395e,	0xb3c38631,
+0x7ea7a143,	0x157a4e43,	0x46f8173f,	0xfbc18d4a,
+0xc401e17a,	0xc4620358,	0xd2ab5437,	0xa01db06f,
+0x58ce91fc,	0x850de1a3,	0x9b542dba,	0xee77f038,
+0xddd3ced6,	0xc225d2ce,	0x63a3f765,	0x3342a06c,
+0x6a780c2f,	0xfaa925b2,	0x366ebeec,	0xbcc9abea,
+0xc7b3fa4e,	0xf4f1123d,	0x5198702c,	0x3e3458b7,
+0x0b1ce9a1,	0x51b1bd7f,	0x711e791e,	0x927d8bed,
+0x91dbaea9,	0x7eefbda9,	0x7a19edd9,	0xdf7b8dce,
+0x5bb40613,	0x0b0c1e0f,	0x85b82c98,	0x18da4dc1,
+0xc5fd78ac,	0x57c1e31d,	0x4c4001b5,	0xe31d2643,
+0xa6afbf58,	0xad200e68,	0xf0114ba4,	0xd6a620f2,
+0xc753a720,	0xac9022a0,	0x28a41f01,	0x22a4ba95,
+0xc00b7531,	0x23d42795,	0xcd836a86,	0x90262708,
+0x3292cad0,	0x40022e39,	0xc1581b0a,	0xe5101550,
+0x6538096b,	0x208c549d,	0x3ce2bf88,	0xa71df38e,
+0x3dec3685,	0xca3949f1,	0x79f3ad1b,	0x3ee8b300,
+0x9d305fc6,	0x7a2e5288,	0xbe81a2f2,	0x7ada0c06,
+0x191c7f01,	0x58dfcbd1,	0xc78dee72,	0x72364226,
+0x1866de12,	0x8d22305c,	0x943a0f0e,	0xc81967ff,
+0x4d55fb0f,	0xaf199be1,	0x90bbda61,	0x4e7c234f,
+0x90cfec16,	0x9b4bcf26,	0x21622023,	0x0926f0fa,
+0x1d504377,	0xa58db427,	0x8d93ce2b,	0x90bfe900,
+0x29e67397,	0x2c1261ed,	0x4ace9474,	0xd5c60282,
+0xe53fb300,	0x8a61a0ab,	0xa7aa0918,	0x4389d7c5,
+0xd09d605c,	0x6c5bedb5,	0xd6d54c51,	0x433dea21,
+0x7ad9e677,	0x813bff76,	0x5a162c75,	0x1ee0661f,
+0x9b6c2030,	0x8e8dc989,	0xcd4bc9fc,	0x4454675b,
+0x8d583c9c,	0xe3400094,	0x116ebb83,	0xe847bc9a,
+0x2a4622dd,	0x2a901e6f,	0xd789b1c0,	0x094e2bbb,
+0x056e563f,	0x9f17e606,	0x8bc79b8d,	0xd2c535c1,
+0x06a45a27,	0x9dc56771,	0xa06649e2,	0x5ff25ac8,
+0x6554961e,	0x98e583d9,	0x38ba93da,	0xdee1de18,
+0x037cb9d5,	0x6b17f195,	0x3431faaf,	0x13860a0d,
+0x28bca10d,	0x0a54c011,	0x9957cdb6,	0x3aa1f429,
+0x9d41b7b3,	0x9aea5be2,	0x60c7ce6b,	0x4cd1c10b,
+0x24ddddcd,	0xe28412ba,	0xa03a5466,	0xa1896879,
+0x59edcb87,	0x1b241765,	0x157bf161,	0xf219f950,
+0xe86ff526,	0x262005d9,	0x11769531,	0xbca15d95,
+0x28f5ef17,	0x1f27e725,	0xc32631d2,	0x07249e61,
+0x1ba851e3,	0x4f49b577,	0xe2a1df5e,	0x826fa7ff,
+0xc34e1e2e,	0x7fe26024,	0xbc19800f,	0x0d368dc9,
+0xe03da0c6,	0xadaa4f9c,	0x9ad1e43c,	0x96f84e44,
+0x0b6cd695,	0x1bb46971,	0x942d6e5b,	0x6316170d,
+0x3164509f,	0xc6659450,	0xb2a0370a,	0xabc208e8,
+0x6d479811,	0x3684bc0e,	0x80b7b101,	0xa50b7bb5,
+0x43d21233,	0xb423559d,	0xf41dcd16,	0xdfd3c276,
+0x3e586469,	0xd9b7630a,	0xb88f9e44,	0x0cda6f4d,
+0xe5bf5844,	0x8709f788,	0xdae37da6,	0x1fb41777,
+0x1d903f69,	0x34383b69,	0xd409ae70,	0xd1c99758,
+0xdedfd7a4,	0xa4bdf018,	0xf4058202,	0x8565d66f,
+0x5365aed9,	0xfa69742e,	0x2cfbfbcf,	0x88a00b60,
+0x506c0713,	0x2866475b,	0x3e1df573,	0xb86f7feb,
+0x31d23a7f,	0xc6320e6a,	0x3ebbc2a5,	0x83a1d4ef,
+0x15169f5f,	0x42a61753,	0x893e553e,	0x4ddbc66d,
+0x7449ec1f,	0x76f65d22,	0x0622e13b,	0x32986f89,
+0x21181b4b,	0x99a80c0a,	0xd6fe00b0,	0x282c0e81,
+0x9fc1cf88,	0x919b855d,	0x618257d8,	0x82c448b8,
+0xe22537a1,	0xa90de388,	0xba73b90c,	0xd765eeb0,
+0x62b2727e,	0xa08dfe20,	0x70b3c8c5,	0x3ef04007,
+0x9f73732b,	0x2201edd7,	0xb836219c,	0xf913af7c,
+0xf50f64ca,	0x93ac107a,	0xf509f84a,	0x6f6026f6,
+0xd9bb8eac,	0x4b268cfa,	0xa65a3fa6,	0x9837cb75,
+0x784fb835,	0x2060576d,	0xb1604cae,	0xb9da4116,
+0xab320cf2,	0x60a1b501,	0x0c73fa79,	0x8d5a6f1e,
+0x57688086,	0x218e4005,	0xca054e3d,	0xc1a3c3ec,
Index: src/cpu/intel/model_67x/microcode-540-MU267238.h
===================================================================
--- src/cpu/intel/model_67x/microcode-540-MU267238.h	(revision 0)
+++ src/cpu/intel/model_67x/microcode-540-MU267238.h	(revision 0)
@@ -0,0 +1,163 @@
+//+++
+//      Copyright (c) <1995-2010>, Intel Corporation.
+//	All rights reserved.
+//
+//	Redistribution. Redistribution and use in binary form, without modification, are
+//	permitted provided that the following conditions are met:
+//		.Redistributions must reproduce the above copyright notice and the following
+//	disclaimer in the documentation and/or other materials provided with the
+//	distribution.
+//		.Neither the name of Intel Corporation nor the names of its suppliers may be used
+//	to endorse or promote products derived from this software without specific prior
+//	written permission.
+//		.No reverse engineering, decompilation, or disassembly of this software is
+//	permitted.
+//		."Binary form" includes any format commonly used for electronic conveyance
+//	which is a reversible, bit-exact translation of binary representation to ASCII or
+//	ISO text, for example, "uuencode."
+//
+//	DISCLAIMER. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT
+//	HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED
+//	WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+//	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+//	PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+//	OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+//	SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+//	NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+//	LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
+//	CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+//	STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+//	ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+//	ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+//
+//---
+/*  Tue Feb 9 12:54:50 CST 2010  */
+/*  540-mu267238.inc  */
+0x00000001,	0x00000038,	0x09221999,	0x00000672,
+0xffd6aa2a,	0x00000001,	0x00000004,	0x00000000,
+0x00000000,	0x00000000,	0x00000000,	0x00000000,
+0xa2560856,	0x779b0125,	0x1443265a,	0x0a535feb,
+0x70e89c38,	0xd71286b0,	0xa0ec5939,	0x525bccb1,
+0x6fdfa495,	0xe99aac23,	0x73d359ac,	0x4104d3af,
+0xc8a1849d,	0xd8dd20b9,	0x591df59a,	0xb23c9ce8,
+0x5720703d,	0x28791338,	0x37b7440c,	0x3f4152d3,
+0x946e068c,	0xbd4cbca7,	0x02e2980c,	0x78902676,
+0x7c66c91b,	0x55e1a9ca,	0x55cca14b,	0xd0a82082,
+0xbe66f162,	0xa499f342,	0xee344972,	0x0b4f8aa4,
+0x3c26d31f,	0xa2492061,	0xd845fee0,	0xb253d108,
+0x6ccc9b4b,	0x92ce1712,	0x11fcbc36,	0xe384d472,
+0x8447afa4,	0x599b1a33,	0x78535766,	0xeb4f2543,
+0x91629f05,	0x6af162d5,	0x949517b9,	0xc38e49a6,
+0x5805826e,	0xd03155dd,	0xcc8800bb,	0xb98e9a71,
+0xb75fd98a,	0x96c79e9a,	0xdf7478d3,	0x29a43071,
+0xbf2a5470,	0xd5be473a,	0xf66c074d,	0x7ee133f5,
+0xfaa5823b,	0x9fce08e1,	0x43bffec1,	0x12644f98,
+0x26fe9f43,	0x096f8940,	0x703a390c,	0x598abb8a,
+0x8b79f053,	0x5c294000,	0x6221fba4,	0xeb226211,
+0x6b1e7e6e,	0xc5233cc8,	0xae9ab65d,	0x3aa0a89f,
+0x0e422a22,	0x0f1886ef,	0x3379e3a6,	0x12f12284,
+0x409f4e06,	0x41efac41,	0x07693087,	0x7a9f1916,
+0x31269e69,	0x9caf7cbb,	0x3ff0bee6,	0x3ef2a057,
+0x1de737d2,	0x8df81860,	0xc41ba7d0,	0x39584115,
+0x1321abd7,	0x97dbe297,	0xa376ca1e,	0xaaf6b25b,
+0x0c9b1d13,	0x363e1074,	0xc75e2a58,	0x79774604,
+0x8ebe27aa,	0x95443c05,	0xb716ee48,	0x77a05fb7,
+0x482eaeef,	0xeac5e94f,	0x79e3ef59,	0x2cd191db,
+0x2b71c633,	0x95c675c5,	0xbf1e639b,	0xbac226f3,
+0xfb2fac20,	0xa9e72a20,	0x5a46b3ee,	0x1743bec9,
+0xb89df094,	0x15af2d36,	0x45944344,	0xb41d5a97,
+0x2216d4b7,	0x98ba1092,	0xc97d4982,	0x336f6c35,
+0xc43df462,	0x9fa0dc3a,	0x7a240c30,	0x7d248a85,
+0x0995bbcf,	0xe9929521,	0x5d828729,	0xc8f41f11,
+0x2d0f0e4e,	0x8e67c634,	0x68567623,	0xc237ba69,
+0x78a6b1d9,	0x6f6c2ba8,	0xa8908a4f,	0x909b771c,
+0x0428bb10,	0x7c1b33cf,	0x76af41c8,	0x6037d37c,
+0x5ded7bbb,	0x534c6d21,	0xd9a6343b,	0x74482250,
+0xb961501d,	0x0988d71b,	0x073dedea,	0x5d0a4702,
+0xca22ce05,	0xf14f6f72,	0x8f7f744c,	0x1a78507e,
+0x4b0b3b33,	0xe5a62813,	0xb76e4b43,	0xbee09325,
+0x21a02fe8,	0x513abf7a,	0xe780fc18,	0x25b7ae25,
+0xec70dec0,	0x25d1fc14,	0x47fc868f,	0xd348e013,
+0xab83414a,	0x48e8afaa,	0xae9e7eb5,	0x4591f771,
+0x8209dd0c,	0x84929f07,	0x7fb35bc9,	0x9ce719af,
+0x339470a1,	0x85f7be9e,	0x2ea78a4b,	0x7cf3e760,
+0xe0cf2ee2,	0xc8c60ee0,	0x06843417,	0x9ccb4cce,
+0x117cde32,	0xe6b68d75,	0xfaedfa5f,	0x6407e9f8,
+0x6db65a34,	0x07717a0c,	0x3578a834,	0xcf9f70e0,
+0xbb0c1401,	0xc7624cd2,	0xe8102ce4,	0x2c342121,
+0x353c2bc0,	0xa08d06e7,	0xee40ca20,	0x069f1b72,
+0x1da2d573,	0x766565dd,	0xf684f183,	0x1a9a4c6f,
+0x9566f043,	0xe083be7b,	0x1d9c5ed6,	0x85c01b1e,
+0x1481bde2,	0x5e3d1b22,	0x0a47aeb2,	0x36c29f21,
+0x9b5604ca,	0x8519256a,	0x5bf0e38d,	0xf061f342,
+0xf3cc6aff,	0x3e928f99,	0x6c65bca7,	0x950fb3cd,
+0x7bc6cc53,	0x5c3bb72a,	0x177eee6e,	0x4f1f0363,
+0x7e2d8e88,	0x3ab83f54,	0x062f818a,	0x2b53143c,
+0x6127e61f,	0x95cf1f48,	0x04798f41,	0x61ba5878,
+0xb0fd99d2,	0x71c835e4,	0x3c4a814a,	0xe07eaa41,
+0x838ba96f,	0x4f0239d3,	0xf295395e,	0xb3c38631,
+0x7ea7a143,	0x157a4e43,	0x46f8173f,	0xfbc18d4a,
+0xc401e17a,	0xc4620358,	0xd2ab5437,	0xa01db06f,
+0x58ce91fc,	0x850de1a3,	0x9b542dba,	0xee77f038,
+0xddd3ced6,	0xc225d2ce,	0x63a3f765,	0x3342a06c,
+0x6a780c2f,	0xfaa925b2,	0x366ebeec,	0xbcc9abea,
+0xc7b3fa4e,	0xf4f1123d,	0x5198702c,	0x3e3458b7,
+0x0b1ce9a1,	0x51b1bd7f,	0x711e791e,	0x927d8bed,
+0x91dbaea9,	0x7eefbda9,	0x7a19edd9,	0xdf7b8dce,
+0x5bb40613,	0x0b0c1e0f,	0x85b82c98,	0x18da4dc1,
+0xc5fd78ac,	0x57c1e31d,	0x4c4001b5,	0xe31d2643,
+0xa6afbf58,	0xad200e68,	0xf0114ba4,	0xd6a620f2,
+0xc753a720,	0xac9022a0,	0x28a41f01,	0x22a4ba95,
+0xc00b7531,	0x23d42795,	0xcd836a86,	0x90262708,
+0x3292cad0,	0x40022e39,	0xc1581b0a,	0xe5101550,
+0x6538096b,	0x208c549d,	0x3ce2bf88,	0xa71df38e,
+0x3dec3685,	0xca3949f1,	0x79f3ad1b,	0x3ee8b300,
+0x9d305fc6,	0x7a2e5288,	0xbe81a2f2,	0x7ada0c06,
+0x191c7f01,	0x58dfcbd1,	0xc78dee72,	0x72364226,
+0x1866de12,	0x8d22305c,	0x943a0f0e,	0xc81967ff,
+0x4d55fb0f,	0xaf199be1,	0x90bbda61,	0x4e7c234f,
+0x90cfec16,	0x9b4bcf26,	0x21622023,	0x0926f0fa,
+0x1d504377,	0xa58db427,	0x8d93ce2b,	0x90bfe900,
+0x29e67397,	0x2c1261ed,	0x4ace9474,	0xd5c60282,
+0xe53fb300,	0x8a61a0ab,	0xa7aa0918,	0x4389d7c5,
+0xd09d605c,	0x6c5bedb5,	0xd6d54c51,	0x433dea21,
+0x7ad9e677,	0x813bff76,	0x5a162c75,	0x1ee0661f,
+0x9b6c2030,	0x8e8dc989,	0xcd4bc9fc,	0x4454675b,
+0x8d583c9c,	0xe3400094,	0x116ebb83,	0xe847bc9a,
+0x2a4622dd,	0x2a901e6f,	0xd789b1c0,	0x094e2bbb,
+0x056e563f,	0x9f17e606,	0x8bc79b8d,	0xd2c535c1,
+0x06a45a27,	0x9dc56771,	0xa06649e2,	0x5ff25ac8,
+0x6554961e,	0x98e583d9,	0x38ba93da,	0xdee1de18,
+0x037cb9d5,	0x6b17f195,	0x3431faaf,	0x13860a0d,
+0x28bca10d,	0x0a54c011,	0x9957cdb6,	0x3aa1f429,
+0x9d41b7b3,	0x9aea5be2,	0x60c7ce6b,	0x4cd1c10b,
+0x24ddddcd,	0xe28412ba,	0xa03a5466,	0xa1896879,
+0x59edcb87,	0x1b241765,	0x157bf161,	0xf219f950,
+0xe86ff526,	0x262005d9,	0x11769531,	0xbca15d95,
+0x28f5ef17,	0x1f27e725,	0xc32631d2,	0x07249e61,
+0x1ba851e3,	0x4f49b577,	0xe2a1df5e,	0x826fa7ff,
+0xc34e1e2e,	0x7fe26024,	0xbc19800f,	0x0d368dc9,
+0xe03da0c6,	0xadaa4f9c,	0x9ad1e43c,	0x96f84e44,
+0x0b6cd695,	0x1bb46971,	0x942d6e5b,	0x6316170d,
+0x3164509f,	0xc6659450,	0xb2a0370a,	0xabc208e8,
+0x6d479811,	0x3684bc0e,	0x80b7b101,	0xa50b7bb5,
+0x43d21233,	0xb423559d,	0xf41dcd16,	0xdfd3c276,
+0x3e586469,	0xd9b7630a,	0xb88f9e44,	0x0cda6f4d,
+0xe5bf5844,	0x8709f788,	0xdae37da6,	0x1fb41777,
+0x1d903f69,	0x34383b69,	0xd409ae70,	0xd1c99758,
+0xdedfd7a4,	0xa4bdf018,	0xf4058202,	0x8565d66f,
+0x5365aed9,	0xfa69742e,	0x2cfbfbcf,	0x88a00b60,
+0x506c0713,	0x2866475b,	0x3e1df573,	0xb86f7feb,
+0x31d23a7f,	0xc6320e6a,	0x3ebbc2a5,	0x83a1d4ef,
+0x15169f5f,	0x42a61753,	0x893e553e,	0x4ddbc66d,
+0x7449ec1f,	0x76f65d22,	0x0622e13b,	0x32986f89,
+0x21181b4b,	0x99a80c0a,	0xd6fe00b0,	0x282c0e81,
+0x9fc1cf88,	0x919b855d,	0x618257d8,	0x82c448b8,
+0xe22537a1,	0xa90de388,	0xba73b90c,	0xd765eeb0,
+0x62b2727e,	0xa08dfe20,	0x70b3c8c5,	0x3ef04007,
+0x9f73732b,	0x2201edd7,	0xb836219c,	0xf913af7c,
+0xf50f64ca,	0x93ac107a,	0xf509f84a,	0x6f6026f6,
+0xd9bb8eac,	0x4b268cfa,	0xa65a3fa6,	0x9837cb75,
+0x784fb835,	0x2060576d,	0xb1604cae,	0xb9da4116,
+0xab320cf2,	0x60a1b501,	0x0c73fa79,	0x8d5a6f1e,
+0x57688086,	0x218e4005,	0xca054e3d,	0xc1a3c3ec,
Index: src/cpu/intel/slot_1/Makefile.inc
===================================================================
--- src/cpu/intel/slot_1/Makefile.inc	(revision 5945)
+++ src/cpu/intel/slot_1/Makefile.inc	(working copy)
@@ -20,6 +20,7 @@
 
 ramstage-y += slot_1.c
 subdirs-y += ../model_6xx
+subdirs-y += ../model_67x
 subdirs-y += ../model_6bx
 subdirs-y += ../../x86/tsc
 subdirs-y += ../../x86/mtrr
Index: src/cpu/intel/model_6xx/model_6xx_init.c
===================================================================
--- src/cpu/intel/model_6xx/model_6xx_init.c	(revision 5938)
+++ src/cpu/intel/model_6xx/model_6xx_init.c	(working copy)
@@ -93,9 +93,6 @@
 	{ X86_VENDOR_INTEL, 0x0665 }, /* Celeron, B0 */
 	{ X86_VENDOR_INTEL, 0x066a }, /* PII, mdxA0/dmmA0 + others */
 
-	{ X86_VENDOR_INTEL, 0x0672 }, /* PIII, kB0 */
-	{ X86_VENDOR_INTEL, 0x0673 }, /* PIII, kC0 */
-
 	{ X86_VENDOR_INTEL, 0x0680 },
 	{ X86_VENDOR_INTEL, 0x0681 }, /* PIII, cA2/cA2c/A2/BA2/PA2/MA2 */
 	{ X86_VENDOR_INTEL, 0x0683 }, /* PIII/Celeron, cB0/cB0c/B0/BB0/PB0/MB0*/
